Agara

List your positions

POST
/trade/v1/portfolio/positions/list

Authorization

Authorization
Required
Bearer <token>

Personal access token issued from the web app's Settings → API tokens page. Send as Authorization: Bearer agt_….

In: header

Scope: portfolio:read

Request Body

application/jsonRequired

condition_ids
Required
array<string>

Condition ids to include.

exchangesarray<string>

Optional AGARA filter. Omit it to query the AGARA wallet.

curl -X POST "https://app.agara.xyz/trade/v1/portfolio/positions/list" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "condition_ids": [
      "0x21742633143463906290569050155826241533067272736897614950488156847949938836455"
    ]
  }'

Your current positions, with optional filter by condition_id.

{
  "as_of": "2019-08-24T14:15:22Z",
  "events": {
    "property1": {
      "display": {
        "event": {}
      },
      "event_title": "string"
    },
    "property2": {
      "display": {
        "event": {}
      },
      "event_title": "string"
    }
  },
  "markets": {
    "property1": {
      "display": {
        "market": {},
        "outcome": {}
      },
      "event_slug": "string",
      "logo_url": "string",
      "market_id": "6364d859-8e1b-477a-bacc-de8305a9292b",
      "market_title": "string",
      "outcome_name": "string"
    },
    "property2": {
      "display": {
        "market": {},
        "outcome": {}
      },
      "event_slug": "string",
      "logo_url": "string",
      "market_id": "6364d859-8e1b-477a-bacc-de8305a9292b",
      "market_title": "string",
      "outcome_name": "string"
    }
  },
  "positions": [
    {
      "available_shares_micro": "1000000",
      "avg_price_micro": "1000000",
      "condition_id": "string",
      "current_price_micro": "1000000",
      "current_value_micro": "1000000",
      "exchange": "AGARA",
      "mergeable": true,
      "mergeable_shares_micro": "1000000",
      "profit_loss_micro": "1000000",
      "profit_loss_percent": "string",
      "redeemable": true,
      "shares_micro": "1000000",
      "to_win_micro": "1000000",
      "token_id": "string"
    }
  ],
  "unavailable_exchanges": [
    "AGARA"
  ]
}